# synfig::Surface::alpha_pen Class Reference

Alpha-Blending Pen. More...

`#include <surface.h>`

List of all members.

## Public Member Functions

| alpha_pen ()
| alpha_pen (const etl::alpha_pen< etl::generic_pen< Color, ColorAccumulator >, Color::value_type, _BlendFunc > &x)
| alpha_pen (const etl::generic_pen< Color, ColorAccumulator > &pen, const Color::value_type &a=1, const _BlendFunc &func=_BlendFunc())
void | set_blend_method (Color::BlendMethod method)
| Sets the blend method to that described by method.
Color::BlendMethod | get_blend_method () const
| Returns the blend method being used for this pen.

## Detailed Description

Alpha-Blending Pen.

This pen works like a normal alpha pen, except that it supports a variety of blending methods. Use set_blend_method() to select which blending method you want to use. The default blending method is Color::BLEND_COMPOSITE.

See also:
  Color::BlendMethod

## Constructor & Destructor Documentation

synfig::Surface::alpha_pen::alpha_pen | ( |  | ) | `[inline]`

synfig::Surface::alpha_pen::alpha_pen | ( | const etl::alpha_pen< etl::generic_pen< Color, ColorAccumulator >, Color::value_type, _BlendFunc > & | x | ) | `[inline]`

synfig::Surface::alpha_pen::alpha_pen | ( | const etl::generic_pen< Color, ColorAccumulator > & | pen,
|  | const Color::value_type & | a = `1`,
|  | const _BlendFunc & | func = `_BlendFunc()` |
| ) |  |  | `[inline]`

## Member Function Documentation

void synfig::Surface::alpha_pen::set_blend_method | ( | Color::BlendMethod | method | ) | `[inline]`

Sets the blend method to that described by method.

Color::BlendMethod synfig::Surface::alpha_pen::get_blend_method | ( |  | ) | const`[inline]`

Returns the blend method being used for this pen.

Referenced by synfig::Surface::blit_to().

The documentation for this class was generated from the following file:

- surface.h